PKCS7_GET_SIGNER_INFO(3)

NAME
PKCS7_get_signer_info - retrieve signerInfos from a SignedData object

SYNOPSIS
libcrypto
#include <openssl/pkcs7.h>
STACK_OF(PKCS7_SIGNER_INFO) *
PKCS7_get_signer_info(PKCS7 *p7);

DESCRIPTION
This function retrieves the set of SignerInfo structures from the signerInfos field of p7.

These can subsequently be manipulated with the functions documented in PKCS7_add_attribute(3).

RETURN VALUES
PKCS7_get_signer_info() returns an internal pointer to a STACK_OF(PKCS7_SIGNER_INFO) object or NULL on failure. It fails if p7 is NULL, if it has no content, or if it is of a type other than SignedData or SignedAndEnvelopedData.

SEE ALSO
PKCS7_add_attribute(3), PKCS7_final(3), PKCS7_new(3), PKCS7_sign(3), PKCS7_sign_add_signer(3)

HISTORY
PKCS7_get_signer_info() first appeared in SSLeay 0.8.1 and has been available since OpenBSD 2.4.